Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 583250 - [abrt] crash in gnome-packagekit-2.30.0-2.fc13: Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in gnome-packagekit-2.30.0-2.fc13: Process /usr/bin/gpk-dbus-ser...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:210bfd2c05444de897203096a46...
: 596252 596631 597275 597476 615681 635548 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-17 11:50 UTC by ulaga.ulaavi
Modified: 2011-06-27 15:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:40:21 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-04-17 11:50 UTC, ulaga.ulaavi
no flags Details

Description ulaga.ulaavi 2010-04-17 11:50:52 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/gpk-dbus-service
component: gnome-packagekit
executable: /usr/bin/gpk-dbus-service
global_uuid: 210bfd2c05444de897203096a465992dfb5ba3e9
kernel: 2.6.33.2-41.fc13.x86_64
package: gnome-packagekit-2.30.0-2.fc13
rating: 4
reason: Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

Comment 1 ulaga.ulaavi 2010-04-17 11:50:54 UTC
Created attachment 407255 [details]
File: backtrace

Comment 2 Justin Clift 2010-04-18 15:54:15 UTC
Package: gnome-packagekit-2.30.0-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Using Firefox, install http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-rawhide.noarch.rpm
2. Then click on the RPM Fusion link to this:
    http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-rawhide.noarch.rpm
    But after opening it with PackageKit, don't proceed (ie just leave PK open and waiting for user response)
3. Click on the RPM Fusion link in #2 again, and allow PK to open it.  Again, don't proceed.
4. Answer the dialogs from #2, allowing the install of #2 to succeed.
5. Answer the dialogs from #3, which then allows PK to proceed and complain that the package is already installed.
<<PK CRASH occurs here>>

Comment 3 Place Holder 2010-04-24 21:05:54 UTC
Package: gnome-packagekit-2.30.0-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I had previously had an experience of PackageKit hanginging, so I killed its PID and then subsequent install operations all seemed fine, so I don't think this is related.
2. I am reinstalling this laptop, so I had just downloaded the latest Google Chrome RPM and attempted to install it.
3. The installation started, it prompted for extra dependancies... and then crashed.


Comment
-----
Crashed while trying to install the latest Google Chrome RPM.

Comment 4 Karel Klíč 2010-11-09 13:49:27 UTC
*** Bug 596252 has been marked as a duplicate of this bug. ***

Comment 5 Karel Klíč 2010-11-09 13:49:33 UTC
*** Bug 596631 has been marked as a duplicate of this bug. ***

Comment 6 Karel Klíč 2010-11-09 13:49:37 UTC
*** Bug 597275 has been marked as a duplicate of this bug. ***

Comment 7 Karel Klíč 2010-11-09 13:49:42 UTC
*** Bug 597476 has been marked as a duplicate of this bug. ***

Comment 8 Karel Klíč 2010-11-09 13:49:46 UTC
*** Bug 615681 has been marked as a duplicate of this bug. ***

Comment 9 Karel Klíč 2010-11-09 13:49:50 UTC
*** Bug 635548 has been marked as a duplicate of this bug. ***

Comment 10 Bug Zapper 2011-06-02 15:12:21 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2011-06-27 15:40:21 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.